# Connecting to FastConnect Use the Equinix Customer Portal or API to create the connection from your Fabric Port, Fabric Cloud Router, or Network Edge virtual device to Oracle Cloud. ## Prerequisites[​](#prerequisites "Direct link to Prerequisites") * A valid Oracle Cloud account with the ability to create and modify FastConnect circuits, including: * an Oracle Virtual Cloud Network instance. * A Dynamic Routing Gateway in the Oracle Console with an attached Virtual Cloud Network. * FastConnect Virtual Circuit(s). One or more FastConnect circuits must be created before creating the virtual connection in Equinix Fabric, because Oracle Cloud ID keys are required during the connection creation process. For more information, see [Connection Set Up in the Oracle Console](https://docs.equinix.com/fabric-marketplace/connecting-to-service-provider/oracle/fast-connect-overview.md#connection-set-up-in-the-oracle-console) * A [Fabric port](https://docs.equinix.com/fabric/ports/fabric-order-port-new.md), an [A-side service token](https://docs.equinix.com/fabric/service-tokens/redeem-a-side-service-token.md), a [Fabric Cloud Router](https://docs.equinix.com/fabric-cloud-router.md), or a [Network Edge virtual device](https://docs.equinix.com/network-edge.md) * To create connections in Fabric, you must have the `Fabric Connections Manager` role. ## Creating a Connection[​](#creating-a-connection "Direct link to Creating a Connection") * Portal * API * Terraform 1. Log in to the [Customer Portal](https://portal.equinix.com/fabric) > *Fabric Dashboard*. 2. Use the Context Switcher and select the project under which you want to create the connection. For more information on projects, see [Managing Projects](https://docs.equinix.com/iam/resources/projects-manage.md). 3. From the *Connections* menu, select **Create Connection**. 4. In the *A Service Provider* card, click **Connect to a Service Provider**. ![Create a Connection to options with the A Service Provider card highlighted](https://docs.equinix.com/assets/images/service-provider-card-51d938de0bcc1df9912ba766114cb979.png) 5. Search for Oracle. ![Select a Service Provider search for Oracle showing Oracle Cloud and Oracle OCI EU Sovereign cards](https://docs.equinix.com/assets/images/oracle-tiles-e8fc0196fa999012554ccd58ea284510.png) 6. On the *Oracle Cloud* card, click **Select Service**, then click **Create Connection**. ![Oracle service profiles including OCI FastConnect and Government Layer 2, each with Create Connection buttons](https://docs.equinix.com/assets/images/oracle-service-profiles-eea4862d128d7d0e9fed294942a4c628.png) 7. Select connection type: * Redundant - Create a redundant pair of connections. * Primary - Create a single, primary connection. * Secondary - Create a single, secondary connection. 8. Enter primary and secondary *Oracle Cloud ID*. 9. From the *Oracle Destination* drop-down list, select the region and metro where your FastConnect circuits and your assets are located. Equinix Fabric Metros that have on-ramps to OCI Regions might be located in different cities. These are still considered to be local connections in Fabric. ![Quick Connect step 1, Enter Your OCI Information, with redundant connection type, OCID fields and destination region](https://docs.equinix.com/assets/images/oci-information-aa793c7b6bf7920367a938063f986507.png) 10. Click **Next** to configure your connection based on origin asset type: port, service token, cloud router, or virtual device. 1) Authenticate - Submit your user credentials, Client ID, and Client Secret for OAuth2 authentication. Refer to [API Authentication](https://docs.equinix.com/equinix-api/api-authentication.md) for instructions on how to call OAuth API to validate and authenticate your credentials. 2) Determine Your A-side Information. Either: * Determine your Equinix Fabric ports information by sending a `GET` request to the [`/fabric/v4/ports`](https://docs.equinix.com/api-catalog/fabricv4/ports/getports.md) endpoint. You need the port UUID(s) and the link protocol type (DOT1Q or QINQ). OR * Retrieve your a-side service token or tokens. The a-side token provides the relevant information to configure the a-side of the connection. If you were issued a token by a third-party or another service provider, you need the token's UUID. If you are using an a-side token that you created from your own assets, you can send a `GET` request to the [`/fabric/v4/serviceTokens`](https://docs.equinix.com/api-catalog/fabricv4/#tag/Service-Tokens/operation/getServiceTokens) endpoint to find your service tokens. OR * Determine your Fabric Cloud Router information. Check your available cloud routers by sending a `POST` request to the [`/fabric/v4/routers/search`](https://docs.equinix.com/api-catalog/fabricv4/cloud-routers/searchcloudrouters.md) endpoint. You need the router's UUID. OR * Determine your Network Edge virtual device information. Check your available virtual devices and clusters by sending a `GET` request to the [`/ne/v1/devices`](https://docs.equinix.com/api-catalog/networkedgev1/virtual-device/getvirtualdevices.md) endpoint. You need the device UUID(s). Send a `GET` request to the [`/ne/v1/devices/{device_id}`](https://docs.equinix.com/api-catalog/networkedgev1/virtual-device/getvirtualdevicebyuuid.md) endpoint to get the specifics of a device. You may choose any available interface on the device for your connection. If you do not specify one, the connection is automatically assigned to the next available interface. 3) Identify the Oracle Cloud FastConnect service profile and location information. More information on which service profile you should choose is on the [Overview](https://docs.equinix.com/fabric-marketplace/connecting-to-service-provider/oracle/fast-connect-overview.md) page. Use the [Retrieve Service Profiles](https://docs.equinix.com/api-catalog/fabricv4/service-profiles/searchserviceprofiles.md) API request to search for a specific service profile or use the [List Service Profiles](https://docs.equinix.com/api-catalog/fabricv4/service-profiles/listserviceprofiles.md) API request to list all available service profiles, and identify the profile you want to connect to. * Oracle Cloud Infrastructure FastConnect - `60ef0382-cdaa-44e7-bd36-b803731816b8` * Oracle Cloud Infrastructure FastConnect - Alternate Metro Locations - `36ee4f7c-8f2a-4398-9e20-e2eb3c0a294e` * Oracle Cloud Infrastructure Government Layer 2 - `40b327eb-b222-4d63-8baf-76800a859aad` * Oracle Cloud Infrastructure UK Government Layer 2 - `f8de27b9-eda6-4898-be45-b659f4179384` * Oracle Cloud Infrastructure EU Sovereign Cloud - `e8cf4180-ae75-4b27-9a65-d307f0fd5b67` * Oracle Cloud Infrastructure US DoD - `e33d0083-db2d-44b2-8e73-78f598194f12` Use the [Get All Metros](https://docs.equinix.com/api-catalog/fabricv4/metros/getmetros.md) API request to find all metros where Equinix Fabric is available and determine destination location. 4) Validate your Authorization Key. Use the [Validate Connection Authorization Key](https://docs.equinix.com/api-catalog/fabricv4/connections/validateconnections.md) API request to verify that your Oracle OCID can be used to create a connection to the selected service profile in the given metro. 1. Determine Your A-side Information. Either: * Determine your Equinix Fabric ports information. Use the [`equinix_fabric_ports`](https://docs.equinix.com/terraform/data-sources/fabric_ports.md) to fetch your ports. You need the port UUID(s) and the link protocol type (DOT1Q or QINQ). OR * Retrieve your a-side service token or tokens. The a-side token provides the relevant information to configure the a-side of the connection. If you were issued a token by a third-party or another service provider, you need the token's UUID. If you are using an a-side token that you created from your own assets, use the [`equinix_fabric_service_tokens`](https://docs.equinix.com/terraform/data-sources/fabric_service_tokens.md) data source to find your service tokens. OR * Determine your Fabric Cloud Router information. Check your available cloud routers using the [`equinix_fabric_cloud_routers`](https://docs.equinix.com/terraform/data-sources/fabric_cloud_routers.md) data source. You need the router's UUID. OR * Determine your Network Edge virtual device information. Use the [`equinix_network_device`](https://docs.equinix.com/terraform/data-sources/network_device.md) data source to get virtual device details. You need the device(s) UUID. You may choose any available interface on the device for your connection, so you optionally need interface information. If you do not specify one, the connection is automatically assigned to the next available interface. 2. Identify the Oracle Cloud FastConnect service profile and location information. More information on which service profile you should choose is on the [Overview](https://docs.equinix.com/fabric-marketplace/connecting-to-service-provider/oracle/fast-connect-overview.md) page. Use the [`equinix_fabric_service_profiles`](https://docs.equinix.com/terraform/data-sources/fabric_service_profiles.md) data source to search for a specific service profile. You need the service provider's profile UUID. * Oracle Cloud Infrastructure FastConnect - `60ef0382-cdaa-44e7-bd36-b803731816b8` * Oracle Cloud Infrastructure FastConnect - Alternate Metro Locations - `36ee4f7c-8f2a-4398-9e20-e2eb3c0a294e` * Oracle Cloud Infrastructure Government Layer 2 - `40b327eb-b222-4d63-8baf-76800a859aad` * Oracle Cloud Infrastructure UK Government Layer 2 - `f8de27b9-eda6-4898-be45-b659f4179384` * Oracle Cloud Infrastructure EU Sovereign Cloud - `e8cf4180-ae75-4b27-9a65-d307f0fd5b67` * Oracle Cloud Infrastructure US DoD - `e33d0083-db2d-44b2-8e73-78f598194f12` ## Connecting from a Port[​](#connecting-from-a-port "Direct link to Connecting from a Port") * Portal * API * Terraform 1. From the *Origin Asset Type* drop-down list, select **Port**. 2. In the *Primary Connection* section: * Click *+ Select Primary Port*, then select your primary connection port and click **Select Port**. Only primary ports are available for selection. ![Select Primary Port panel listing eligible ports with location, bandwidth, encapsulation and project columns](https://docs.equinix.com/assets/images/fabricOraclePortSelect-a8f55f53bb3c3cb5023596ce8082db11.png) * Enter the primary connection name. * Select a bandwidth. * Enter a VLAN ID (applicable to Dot1q ports) or a Customer VLAN Tag (C-tag) and a Service VLAN Tag (S-tag) (applicable to Qinq ports). 3. In the *Secondary Connection* section: * Click *+ Select Secondary Port*, then select your secondary connection port and click **Select Port**. Only secondary ports are available for selection. * Enter the secondary connection name. * Select a bandwidth. * Enter a VLAN ID (applicable to Dot1q ports) or a Customer VLAN Tag (C-tag) and a Service VLAN Tag (S-tag) (applicable to Qinq ports). 4. Click **Next**. ![Oracle Quick Connect step 2 with Port origin, selected primary port, connection name, bandwidth and VLAN ID](https://docs.equinix.com/assets/images/fabricOracleConfigurePort-58023349c53b2f7a9f3fad9dd1d26c0c.png) 5. On the *Review Order and Additional Information* page, review the information in the *Connection Configuration* sections. 6. Use the *Notifications* field to provide the email addresses of the recipients to be notified about the connection's status. You can add up to 12 email addresses. 7. (*Optional*) Enter or add order information in the *Purchase Order* section. 8. Provide a customer reference identifier that will help you identify this order on your invoice. 9. Click *Show Order Summary* to see order details and connection pricing information. When you are ready, click **Create Connection**. To create a connection from your DOT1Q port to FastConnect, send a `POST` request to the [`/fabric/v4/connections`](https://docs.equinix.com/api-catalog/fabricv4/connections/createconnection.md) endpoint. The connection `type` is `EVPL_VC`. Provide your port information in the `aSide` object including: * `accessPoint.type` as `COLO` * Provide your port's UUID to `port.uuid` * linkProtocol.type as `DOT1Q` * Provide the VLAN ID to `linkProtocol.vlanTag` Provide the FastConnect details and location details in the `zSide` object including: * Set `accessPoint.type` as `SP`. * Set `profile.type` as `L2_PROFILE`. * Specify the Oracle service profile you are connecting to in `profile.uuid`. * Specify the Equinix Metro location you are connecting to in `location.metroCode`. * Specify the Oracle region associated with the Equinix Metro in `sellerRegion`. * Set `authenticationKey` as your OCID. Sample cURL request: ``` curl -X POST 'https://api.equinix.com/fabric/v4/connections' \ -H 'content-type: application/json' \ -H 'authorization: Bearer ' \ -d '{ "type": "EVPL_VC", "name": "", "bandwidth": , "redundancy": { "priority": "PRIMARY" }, "aSide": { "accessPoint": { "type": "COLO", "port": { "uuid": "" }, "linkProtocol": { "type": "DOT1Q", "vlanTag": } } }, "zSide": { "accessPoint": { "type": "SP", "profile": { "type": "L2_PROFILE", "uuid": "" }, "location": { "metroCode": "" }, "authenticationKey": "", "sellerRegion": "" } }, "project": { "projectId": "" }, "notifications": [ { "type": "ALL", "emails": [ "" ] } ] }' ``` To create a connection from your QINQ port to FastConnect, send a `POST` request to the [`/fabric/v4/connections`](https://docs.equinix.com/api-catalog/fabricv4/connections/createconnection.md) endpoint. The connection `type` is `EVPL_VC`. Provide your port information in the `aSide` object including: * Set `accessPoint.type` as `COLO` * Provide your port's UUID to `port.uuid` * `linkProtocol.type` as `QINQ` * Provide the inner tag ID to `linkProtocol.vlanCTag` * Provide the outer tag ID to `linkProtocol.vlanSTag` Provide the FastConnect details and location details in the `zSide` object including: * Set `accessPoint.type` as `SP`. * Set `profile.type` as `L2_PROFILE`. * Specify the FastConnect service profile you are connecting to in `profile.uuid`. * Specify the Equinix Metro location you are connecting to in `location.metroCode`. * Specify the Oracle region associated with the Equinix Metro in `sellerRegion`. * Set `authenticationKey` as your OCID. Sample cURL Request: ``` curl -X POST 'https://api.equinix.com/fabric/v4/connections' \ -H 'content-type: application/json' \ -H 'authorization: Bearer ' \ -d '{ "type": "EVPL_VC", "name": "", "bandwidth": , "redundancy": { "priority": "PRIMARY" }, "aSide": { "accessPoint": { "type": "COLO", "port": { "uuid": "" }, "linkProtocol": { "type": "QINQ", "vlanCTag": , "vlanSTag": } } }, "zSide": { "accessPoint": { "type": "SP", "profile": { "type": "L2_PROFILE", "uuid": "" }, "location": { "metroCode": "" }, "authenticationKey": "", "sellerRegion": "" } }, "project": { "projectId": "" }, "notifications": [ { "type": "ALL", "emails": [ "" ] } ] }' ``` To create a connection from your DOT1Q port to FastConnect, use the [`equinix_fabric_connection`](https://docs.equinix.com/terraform/resources/fabric_connection.md) resource. Provide your port information in the `a_side` object including: * Set `access_point.type` as `COLO` * Provide your port's UUID to `port.uuid` * `link_protocol.type` as `DOT1Q` * Provide the VLAN ID to `link_protocol.vlan_tag` Provide the FastConnect details and location details in the `z_side` object including: * Set `access_point.type` as `SP`. * Set `profile.type` as `L2_PROFILE`. * Specify the FastConnect service profile you are connecting to in `profile.uuid`. * Specify the Equinix Metro location you are connecting to in `location.metro_code`. * Specify the Oracle region associated with the Equinix Metro in `seller_region`. * Set `authentication_key` as your OCID. ``` resource "equinix_fabric_connection" "port2oracle" { name = "" type = "EVPL_VC" notifications { type = "ALL" emails = ["",""] } bandwidth = redundancy { priority = "PRIMARY" } a_side { access_point { type = "COLO" port { uuid = "" } link_protocol { type = "DOT1Q" vlan_tag = "" } } } z_side { access_point { type = "SP" authentication_key = "" seller_region = "" profile { type = "L2_PROFILE" uuid = "" } location { metro_code = "" } } } } ``` To create a connection from your QINQ port to FastConnect, use the [`equinix_fabric_connection`](https://docs.equinix.com/terraform/resources/fabric_connection.md) resource. Provide your port information in the `a_side` object including: * Set `access_point.type` as `COLO` * Provide your port's UUID to `port.uuid` * `link_protocol.type` as `QINQ` * Provide the inner tag ID to `link_protocol.vlan_c_tag` * Provide the outer tag ID to `link_protocol.vlan_s_tag` Provide the FastConnect details and location details in the `z_side` object including: * Set `access_point.type` as `SP`. * Set `profile.type` as `L2_PROFILE`. * Specify the FastConnect service profile you are connecting to in `profile.uuid`. * Specify the Equinix Metro location you are connecting to in `location.metro_code`. * Specify the Oracle region associated with the Equinix Metro in `seller_region`. * Set `authentication_key` as your OCID. ``` resource "equinix_fabric_connection" "port2oracle" { name = "" type = "EVPL_VC" notifications { type = "ALL" emails = ["",""] } bandwidth = redundancy { priority = "PRIMARY" } a_side { access_point { type = "COLO" port { uuid = "" } link_protocol { type = "QINQ" vlan_s_tag = "" vlan_c_tag = "" } } } z_side { access_point { type = "SP" authentication_key = "" seller_region = "" profile { type = "L2_PROFILE" uuid = "" } location { metro_code = "" } } } } ``` ## Connecting Using a Service Token[​](#connecting-using-a-service-token "Direct link to Connecting Using a Service Token") * Portal * API * Terraform 1. From the *Origin Asset Type* drop-down list, select **Service Token**. 2. In the *Primary Connection* section: * Click *+ Enter Primary Service Token*, provide the service token, then click **Enter Service Token**. ![Oracle Quick Connect step 2 with Service Token origin and Enter Primary Service Token panel open](https://docs.equinix.com/assets/images/fabricOracleServiceTokenEnter-a51c1d7c9ac0dfe24f5ca01a3a1ecf5a.png) * Enter the primary connection name. * Select a bandwidth. 3. In the *Secondary Connection* section: * Click *+ Enter Secondary Service Token*, provide the service token, then click **Enter Service Token**. * Enter the secondary connection name. * Select a bandwidth. 4. Click **Next**. ![Oracle Quick Connect step 2 with Service Token origin, selected token, connection name, bandwidth and VLAN ID](https://docs.equinix.com/assets/images/fabricOracleConfigureServiceToken-049459c485e42f7c9df6f88f765933a9.png) 5. On the *Review Order and Additional Information* page, review the information in the *Connection Configuration* sections. 6. Use the *Notifications* field to provide the email addresses of the recipients to be notified about the connection's status. You can add up to 12 email addresses. 7. (*Optional*) Enter or add order information in the *Purchase Order* section. 8. Provide a customer reference identifier that will help you identify this order on your invoice. 9. Click *Show Order Summary* to see order details and connection pricing information. When you are ready, click **Create Connection**. To create a connection to FastConnect using an A-side Service Token, send a `POST` request to the [`/fabric/v4/connections`](https://docs.equinix.com/api-catalog/fabricv4/connections/createconnection.md) endpoint. The connection `type` is `EVPL_VC`. Provide your Service Token UUID in the `aSide` object. The service token provides all other necessary information to establish the connection. Provide the FastConnect details and location details in the `zSide` object including: * Set `accessPoint.type` as `SP`. * Set `profile.type` as `L2_PROFILE`. * Specify the Oracle service profile you are connecting to in `profile.uuid`. * Specify the Equinix Metro location you are connecting to in `location.metroCode`. * Specify the Oracle region associated with the Equinix Metro in `sellerRegion`. * Set `authenticationKey` as your OCID. Sample cURL Request: ``` curl -X POST 'https://api.equinix.com/fabric/v4/connections' -H 'content-type: application/json' -H 'authorization: Bearer ' -d '{ "type": "EVPL_VC", "name": "", "bandwidth": , "redundancy": { "priority": "" }, "aSide": { "serviceToken": { "uuid": "" } }, "zSide": { "accessPoint": { "type": "SP", "profile": { "type": "L2_PROFILE", "uuid": "" }, "location": { "metroCode": "" }, "authenticationKey": "", "sellerRegion": "" } }, "project": { "projectId": "" }, "notifications": [ { "type": "ALL", "emails": [ "" ] } ] }' ``` To create a connection to FastConnect using an A-side Service Token, use the [`equinix_fabric_connection`](https://docs.equinix.com/terraform/resources/fabric_connection.md) resource. The connection `type` is `EVPL_VC`. Provide your Service Token UUID in the `a_side` object. The service token provides all other necessary information to establish the connection. Provide the FastConnect details and location details in the `z_side` object including: * Set `access_point.type` as `SP`. * Set `profile.type` as `L2_PROFILE`. * Specify the FastConnect service profile you are connecting to in `profile.uuid`. * Specify the Equinix Metro location you are connecting to in `location.metro_code`. * Specify the Oracle region associated with the Equinix Metro in `seller_region`. * Set `authentication_key` as your OCID. ``` resource "equinix_fabric_connection" "token2oracle" { name = "" type = "EVPL_VC" notifications { type = "ALL" emails = ["",""] } bandwidth = redundancy { priority = "PRIMARY" } a_side { service_token { uuid = "" } } z_side { access_point { type = "SP" authentication_key = "" seller_region = "" profile { type = "L2_PROFILE" uuid = "" } location { metro_code = "" } } } } ``` ## Connecting from a Cloud Router[​](#connecting-from-a-cloud-router "Direct link to Connecting from a Cloud Router") * Portal * API * Terraform 1. From the *Origin Asset Type* drop-down list, select **Cloud Router**. 2. Click *+ Select Cloud Router*, select a cloud router instance, then click **Select Cloud Router**. ![Select Cloud Router panel for Oracle Quick Connect listing eligible Ashburn cloud routers](https://docs.equinix.com/assets/images/fabricOracleSelectFcr-c03ce02a1e37d7ecab39ac4ff4c56f7c.png) 3. In the *Primary Connection* section: * Enter the primary connection name. * Select a bandwidth. The bandwidth value you select will also apply to the secondary connection. Even though FastConnect OCID keys can only be created with speeds of 1 Gbps or greater, Equinix Fabric allows you to create the Fabric connection with any of the standard bandwidth tiers that are available on Fabric. If the bandwidth speed for the connection is lower than the speed of the OCID key, Fabric will rate-limit traffic to the connection speed. 4. If you are creating a Redundant Connection, enter your secondary connection name in the *Secondary Connection* section. The bandwidth value you selected for the primary connection is also applied to the secondary connection. 5. (*Optional*) You can configure Border Gateway Protocol (BGP) routing details, or wait to configure BGP after the connection creation process is complete. Select *Configure Routing Details* and provide the required information. See [Configure Routing Details](#configure-routing-details) for additional guidance. ![Configure Routing Details dialog with subnet version, IPv4 subnet source and BGP settings for primary connection](https://docs.equinix.com/assets/images/oci-config-routing-details-82dba979c7374518a1c19bb125d14870.png) 6. Click **Next**. ![Oracle Quick Connect step 2 with Cloud Router origin, connection name, bandwidth and Configure Routing Details button](https://docs.equinix.com/assets/images/fabricOracleConfigureFcr-0be7eebb2dfe453de4d4aeb1aaae3ae1.png) 7. On the *Review Order and Additional Information* page, review the information in the *Connection Configuration* sections. 8. Use the *Notifications* field to provide the email addresses of the recipients to be notified about the connection's status. You can add up to 12 email addresses. 9. (*Optional*) Enter or add order information in the *Purchase Order* section. 10. Provide a customer reference identifier that will help you identify this order on your invoice. 11. Click *Show Order Summary* to see order details and connection pricing information. When you are ready, click **Create Connection**. To create a connection from your cloud router to FastConnect, send a `POST` request to the [`/fabric/v4/connections`](https://docs.equinix.com/api-catalog/fabricv4/connections/createconnection.md) endpoint. The connection `type` is `IP_VC`. Specify your Fabric Cloud Router in the `aSide` object including: * Set `accessPoint.type` as `CLOUD_ROUTER`. * Set `router.uuid` as your router's UUID. Provide the FastConnect details and location details in the `zSide` object including: * Set `accessPoint.type` as `SP`. * Set `profile.type` as `L2_PROFILE`. * Specify the Oracle service profile you are connecting to in `profile.uuid`. * Specify the Equinix Metro location you are connecting to in `location.metroCode`. * Specify the Oracle region associated with the Equinix Metro in `sellerRegion`. * Set `authenticationKey` as your OCID. Sample cURL Request: ``` curl -X POST 'https://api.equinix.com/fabric/v4/connections' \ -H 'content-type: application/json' \ -H 'authorization: Bearer ' \ -d '{ "type": "IP_VC", "name": "", "bandwidth": , "redundancy": { "priority": "" }, "aSide": { "accessPoint": { "type": "CLOUD_ROUTER", "router": { "uuid": "" } } }, "zSide": { "accessPoint": { "type": "SP", "profile": { "type": "L2_PROFILE", "uuid": "" }, "location": { "metroCode": "" }, "authenticationKey": "", "sellerRegion": "" } }, "project": { "projectId": "" }, "notifications": [ { "type": "ALL", "emails": [ "" ] } ] }' ``` To create a connection to FastConnect using a cloud router, use the [`equinix_fabric_connection`](https://docs.equinix.com/terraform/resources/fabric_connection.md) resource. The connection `type` is `IP_VC`. Specify your Fabric Cloud Router in the `a_side` object including: * Set `access_point.type` as `CLOUD_ROUTER`. * Set `router.uuid` as your router's UUID. Provide the FastConnect details and location details in the `z_side` object including: * Set `access_point.type` as `SP`. * Set `profile.type` as `L2_PROFILE`. * Specify the FastConnect service profile you are connecting to in `profile.uuid`. * Specify the Equinix Metro location you are connecting to in `location.metro_code`. * Specify the Oracle region associated with the Equinix Metro in `seller_region`. * Set `authentication_key` as your OCID. ``` resource "equinix_fabric_connection" "token2oracle" { name = "" type = "IP_VC" notifications { type = "ALL" emails = ["",""] } bandwidth = redundancy { priority = "PRIMARY" } a_side { access_point { type = "CLOUD_ROUTER" router { uuid = "" } } } z_side { access_point { type = "SP" authentication_key = "" seller_region = "" profile { type = "L2_PROFILE" uuid = "" } location { metro_code = "" } } } } ``` ## Connecting from a Virtual Device[​](#connecting-from-a-virtual-device "Direct link to Connecting from a Virtual Device") * Portal * API * Terraform 1. Locate the Oracle Cloud card, click *Select Service*, then click **Create Connection (Network Edge Device)**. 2. In the *Origin* section, click **Virtual Device**. If the *Virtual Device* option is disabled, there are no virtual devices available in the selected project. Choose a different project, that has virtual devices assigned to it, or create a new virtual device in this project. 3. Select a Metro. 4. Choose virtual device type, select connection type, then select a virtual device instance. 5. In the *Destination* section select a metro where you want to terminate your connection, then click **Next**. ![Select Locations step with Virtual Device origin in Ashburn and Oracle Cloud destination](https://docs.equinix.com/assets/images/fabricOracleClassicSelectLocations-69b96ce85da24ce8ef784d07f8cc4727.png) 6. Enter a connection name. 7. Enter a virtual circuit identifier. 8. Select network interface on your virtual device. 9. Enter a purchase order number. 10. Select connection speed, then click **Next**. ![Connection Details step for Oracle with connection name, Virtual Circuit OCID, interface selection and speed options](https://docs.equinix.com/assets/images/fabricOracleClassicConnectionDetails-58f68359b9b862939e84abcf556d9880.png) 11. On the *Review Order and Additional Information* page, review the information in the *Connection Configuration* sections. 12. Use the *Notifications* field to provide the email addresses of the recipients to be notified about the connection's status. You can add up to 12 email addresses. 13. (*Optional*) Enter or add order information in the *Purchase Order* section. 14. Provide a customer reference identifier that will help you identify this order on your invoice. 15. Click *Show Order Summary* to see order details and connection pricing information. When you are ready, click **Create Connection**. To create a connection from your Network Edge device to FastConnect, send a `POST` request to the [`/fabric/v4/connections`](https://docs.equinix.com/api-catalog/fabricv4/connections/createconnection.md) endpoint. The connection `type` is `EVPL_VC`. Define your Network Edge device in the `aSide` object including: * `accessPoint.type` as `VD` * `virtualDevice.type` as `EDGE` * `virtualDevice.uuid` as your device's UUID Provide the FastConnect details and location details in the `zSide` object including: * Set `accessPoint.type` as `SP`. * Set `profile.type` as `L2_PROFILE`. * Specify the Oracle service profile you are connecting to in `profile.uuid`. * Specify the Equinix Metro location you are connecting to in `location.metroCode`. * Specify the Oracle region associated with the Equinix Metro in `sellerRegion`. * Set `authenticationKey` as your OCID. Sample cURL Request: ``` curl -X POST 'https://api.equinix.com/fabric/v4/connections' \ -H 'content-type: application/json' \ -H 'authorization: Bearer ' \ -d '{ "type": "EVPL_VC", "name": "", "bandwidth": , "aSide": { "accessPoint": { "type": "VD", "virtualDevice": { "type": "EDGE", "uuid": "" } } }, "zSide": { "accessPoint": { "type": "SP", "profile": { "type": "L2_PROFILE", "uuid": "" }, "location": { "metroCode": "" }, "authenticationKey": "", "sellerRegion": "" } }, "project": { "projectId": "" }, "notifications": [ { "type": "ALL", "emails": [ "" ] } ] }' ``` To create a connection from your Network Edge virtual device to FastConnect, use the [`equinix_fabric_connection`](https://docs.equinix.com/terraform/resources/fabric_connection.md) resource. The connection `type` is `EVPL_VC`. Define your Network Edge device in the `a_side` object including: * `access_point.type` as `VD`. * `virtual_device.type` as `EDGE`. * `virtual_device.uuid` as your device's UUID. Provide the FastConnect details and location details in the `z_side` object including: * Set `access_point.type` as `SP`. * Set `profile.type` as `L2_PROFILE`. * Specify the FastConnect service profile you are connecting to in `profile.uuid`. * Specify the Equinix Metro location you are connecting to in `location.metro_code`. * Specify the Oracle region associated with the Equinix Metro in `seller_region`. * Set `authentication_key` as your OCID. ``` resource "equinix_fabric_connection" "virtual_device2oracle" { name = "" type = "EVPL_VC" notifications { type = "ALL" emails = ["",""] } bandwidth = redundancy { priority = "PRIMARY" } a_side { access_point { type = "VD" virtual_device { type = "EDGE" uuid = "" } } } z_side { access_point { type = "SP" authentication_key = "" seller_region = "" profile { type = "L2_PROFILE" uuid = "" } location { metro_code = "" } } } } ``` ## Monitoring the Connection Status[​](#monitoring-the-connection-status "Direct link to Monitoring the Connection Status") * Portal * API * Terraform Once you have created the connection, it appears in your [*Connections Inventory*](https://docs.equinix.com/fabric/managing-connections/fabric-new-connections-inventory.md) where you can monitor its status. Once you have created the connection, send a `GET` request to the [`fabric/v4/connections/{connectionId}`](https://docs.equinix.com/api-catalog/fabricv4/connections/getconnectionbyuuid.md) endpoint to monitor connection status. Fetch the connection status with the [`equinix_fabric_connections`](https://docs.equinix.com/terraform/data-sources/fabric_connections.md) data source. | `equinixStatus` parameter values | `providerStatus` attribute values | **Description** | | -------------------------------- | --------------------------------- | --------------------------------------------------- | | `PROVISIONING` | `PROVISIONING` | Connection request has not been sent to Oracle yet. | | `PROVISIONED` | `PROVISIONING` | Connection establishment in progress. | | `PROVISIONED` | `PROVISIONED` | Connection established. | ## Configure Routing Details[​](#configure-routing-details "Direct link to Configure Routing Details") To complete your connection, you need to update the routing configuration. Note that Oracle’s ASN is 31898 which is needed when setting up the BGP peering session. * If you are connecting from a cloud router, [configure the routing in the Customer Portal or API](https://docs.equinix.com/fabric-cloud-router/bgp/fcr-bgp.md). Note that these configuration steps can be completed during the connection ordering process. If configured previously, you can skip this step. * If you are connecting from a virtual device, configure the routing on the virtual device according to the VNF's instructions and configuration settings. * If you are connecting from a port, configure the routing on your customer-provided equipment that is providing routing for your port. If you created a redundant connection to Oracle Cloud, repeat the configuration on both connections. To complete the configuration of the end-to-end connection, make the corresponding routing changes [in Oracle Cloud](https://docs.equinix.com/fabric-marketplace/connecting-to-service-provider/oracle/fast-connect-overview.md#bgp-set-up-in-the-oracle-cloud-console).